MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028287Open CASCADE[OCCT] OCCT:Configurationpublic2016-12-27 14:032017-11-29 09:24
Reporterssv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028287: CMake install does not copy pdb files in RelWithDebInfo mode
DescriptionIn RelWithDebInfo mode configured by CMake, pdb files are not copied to INSTALL_DIR.
Steps To Reproduce• Configure, Build and Install some OCCT toolkits using RelWithDebInfo configuration
• Check installation of .pdb files
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028787closedbugmaster Open CASCADE Configuration, genproj - add HAVE_RelWithDebInfo option for generating VS project files with Debug info in Release mode 
parent of 0029266closedabv Community Configuration - CMake install does not copy pdb files in Debug mode due to the changes in 0028287 

-  Notes
(0069719)
git (administrator)
2017-08-21 16:24

Branch CR28287 has been created by ski.

SHA-1: 7f919658a4da766bf31f2230d29d1e9aa6711874


Detailed log of new commits:

Author: ski
Date: Mon Aug 21 16:24:06 2017 +0300

    0028287: CMake install does not copy pdb files in RelWithDebInfo mode
    
    Installation of .pdb files was corrected.
(0069816)
ski (developer)
2017-08-24 10:49

Dear apn,

OCCCT branch CR28287 contains changes to install .pdb files for RelWithDebInfo configuration

Please, review.
(0069827)
apn (administrator)
2017-08-24 12:52

Reviewed, no testing is required.
(0069896)
git (administrator)
2017-08-25 16:13

Branch CR28287 has been deleted by kgv.

SHA-1: 7f919658a4da766bf31f2230d29d1e9aa6711874

- Related Changesets
occt: master 956d6346
Timestamp: 2017-08-21 13:24:06
Author: ski
Committer: bugmaster
Details ] Diff ]
0028287: CMake install does not copy pdb files in RelWithDebInfo mode

Installation of .pdb files was corrected.
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit_tool.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-27 14:03 ssv New Issue
2016-12-27 14:03 ssv Assigned To => bugmaster
2017-04-20 10:21 bugmaster Assigned To bugmaster => apn
2017-07-24 10:30 bugmaster Status new => feedback
2017-08-16 15:42 kgv Relationship added related to 0028787
2017-08-21 16:24 git Note Added: 0069719
2017-08-24 10:47 ski Assigned To apn => ski
2017-08-24 10:47 ski Status feedback => assigned
2017-08-24 10:49 ski Note Added: 0069816
2017-08-24 10:49 ski Assigned To ski => apn
2017-08-24 10:49 ski Status assigned => resolved
2017-08-24 10:49 ski Steps to Reproduce Updated View Revisions
2017-08-24 12:52 apn Note Added: 0069827
2017-08-24 12:52 apn Test case number => Not needed
2017-08-24 12:52 apn Assigned To apn => bugmaster
2017-08-24 12:52 apn Status resolved => reviewed
2017-08-24 12:52 apn Status reviewed => tested
2017-08-25 15:02 bugmaster Changeset attached => occt master 956d6346
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 16:13 git Note Added: 0069896
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed
2017-11-29 09:24 abv Relationship added parent of 0029266


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker